Open CASCADE Technology: TopOpeBRep_FaceEdgeIntersector Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TopOpeBRep_FaceEdgeIntersector Class Reference

Describes the intersection of a face and an edge. More...

`#include <TopOpeBRep_FaceEdgeIntersector.hxx>`

## Public Member Functions
| TopOpeBRep_FaceEdgeIntersector ()
void | Perform (const TopoDS_Shape &F, const TopoDS_Shape &E)
Standard_Boolean | IsEmpty ()
const TopoDS_Shape & | Shape (const Standard_Integer Index) const
| returns intersected face or edge according to value of <Index> = 1 or 2 More...
void | ForceTolerance (const Standard_Real tol)
| Force the tolerance values used by the next Perform(S1,S2) call. More...
Standard_Real | Tolerance () const
| Return the tolerance value used in the last Perform() call If ForceTolerance() has been called, return the given value. If not, return value extracted from shapes. More...
Standard_Integer | NbPoints () const
void | InitPoint ()
Standard_Boolean | MorePoint () const
void | NextPoint ()
gp_Pnt | Value () const
| return the 3D point of the current intersection point. More...
Standard_Real | Parameter () const
| parametre de Value() sur l'arete More...
void | UVPoint (gp_Pnt2d &P) const
| parametre de Value() sur la face More...
TopAbs_State | State () const
| IN ou ON / a la face. Les points OUT ne sont pas retournes. More...
TopOpeBRepDS_Transition | Transition (const Standard_Integer Index, const TopAbs_Orientation FaceOrientation) const
| Index = 1 transition par rapport a la face, en cheminant sur l'arete. More...
Standard_Boolean | IsVertex (const TopoDS_Shape &S, const gp_Pnt &P, const Standard_Real Tol, TopoDS_Vertex &V)
Standard_Boolean | IsVertex (const Standard_Integer I, TopoDS_Vertex &V)
Standard_Integer | Index () const
| trace only More...

## Detailed Description

Describes the intersection of a face and an edge.

## Constructor & Destructor Documentation

TopOpeBRep_FaceEdgeIntersector::TopOpeBRep_FaceEdgeIntersector | ( |  | ) |

## Member Function Documentation

void TopOpeBRep_FaceEdgeIntersector::ForceTolerance | ( | const Standard_Real | tol | ) |

Force the tolerance values used by the next Perform(S1,S2) call.

Standard_Integer TopOpeBRep_FaceEdgeIntersector::Index | ( |  | ) | const

trace only

void TopOpeBRep_FaceEdgeIntersector::InitPoint | ( |  | ) |

Standard_Boolean TopOpeBRep_FaceEdgeIntersector::IsEmpty | ( |  | ) |

Standard_Boolean TopOpeBRep_FaceEdgeIntersector::IsVertex | ( | const TopoDS_Shape & | S,
|  | const gp_Pnt & | P,
|  | const Standard_Real | Tol,
|  | TopoDS_Vertex & | V
| ) |  |

Standard_Boolean TopOpeBRep_FaceEdgeIntersector::IsVertex | ( | const Standard_Integer | I,
|  | TopoDS_Vertex & | V
| ) |  |

Standard_Boolean TopOpeBRep_FaceEdgeIntersector::MorePoint | ( |  | ) | const

Standard_Integer TopOpeBRep_FaceEdgeIntersector::NbPoints | ( |  | ) | const

void TopOpeBRep_FaceEdgeIntersector::NextPoint | ( |  | ) |

Standard_Real TopOpeBRep_FaceEdgeIntersector::Parameter | ( |  | ) | const

parametre de Value() sur l'arete

void TopOpeBRep_FaceEdgeIntersector::Perform | ( | const TopoDS_Shape & | F,
|  | const TopoDS_Shape & | E
| ) |  |

const TopoDS_Shape& TopOpeBRep_FaceEdgeIntersector::Shape | ( | const Standard_Integer | Index | ) | const

returns intersected face or edge according to value of <Index> = 1 or 2

TopAbs_State TopOpeBRep_FaceEdgeIntersector::State | ( |  | ) | const

IN ou ON / a la face. Les points OUT ne sont pas retournes.

Standard_Real TopOpeBRep_FaceEdgeIntersector::Tolerance | ( |  | ) | const

Return the tolerance value used in the last Perform() call If ForceTolerance() has been called, return the given value. If not, return value extracted from shapes.

TopOpeBRepDS_Transition TopOpeBRep_FaceEdgeIntersector::Transition | ( | const Standard_Integer | Index,
|  | const TopAbs_Orientation | FaceOrientation
| ) |  | const

Index = 1 transition par rapport a la face, en cheminant sur l'arete.

void TopOpeBRep_FaceEdgeIntersector::UVPoint | ( | gp_Pnt2d & | P | ) | const

parametre de Value() sur la face

gp_Pnt TopOpeBRep_FaceEdgeIntersector::Value | ( |  | ) | const

return the 3D point of the current intersection point.

The documentation for this class was generated from the following file:

- TopOpeBRep_FaceEdgeIntersector.hxx